Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.tasks
Class ViewTaskDetailsModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.tasks.TasksModel
              portlets.compoze.groupware.model.tasks.ViewTaskDetailsModel

All Implemented Interfaces:
  java.io.Serializable

public class ViewTaskDetailsModel
extends TasksModel
implements java.io.Serializable

This class represents the data model for the tasks details view (`task_details_exchange.jsp`).

See Also:
  Serialized Form

Constructor Summary
`ViewTaskDetailsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, TasksPreferences tasksPrefs, Accounts accounts)` Constructor.

Method Summary
`Task` | `getTask()` Gets the task.
`void` | `setTask(Task task)` Sets the task

Methods inherited from class portlets.compoze.groupware.model.tasks.TasksModel
`getTasksPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewTaskDetailsModel

    public ViewTaskDetailsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                FeatureGroup featureGroup,
                                GroupwarePreferences groupwarePrefs,
                                TasksPreferences tasksPrefs,
                                Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `tasksPrefs` - the tasks preferences (may not be `null`)

Method Detail

### getTask

    public Task getTask()

  Gets the task.

  Returns:
    the task

### setTask

    public void setTask(Task task)

  Sets the task

  Parameters:
    `task` - the task (may not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.